Summary:	libmcrypt is a data encryption library
Name:		libmcrypt
Version:	2.5.8
Release:	1
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://mcrypt.sourceforge.net/
Source0:	http://download.sourceforge.net/mcrypt/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%define _libdir64 %{_prefix}/lib64

%description
libmcrypt is a data encryption library. The library is thread safe
and provides encryption and decryption functions. This version of the
library supports many encryption algorithms and encryption modes. Some
algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

The library is available as 32-bit and 64-bit.


%package devel
Group:		Development/Libraries
Summary:	Development libraries and headers for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
Development libraries and headers for use in building applications that
use %{name}.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0
mkdir -p ../64bit
cp -r * ../64bit
mv ../64bit .


%build
# first build the 64-bit version
export CC="xlc"
export CXX="xlC"
export LDFLAGS="-Wl,-brtl"
export OBJECT_MODE=64
cd 64bit
# update GNU autobuild system in libltdl
cd libltdl
autoreconf
cd ..
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --mandir=%{_mandir} \
    --enable-dynamic-loading \
    --enable-shared --enable-static
make %{?_smp_mflags}

cd ..
# update GNU autobuild system in libltdl
cd libltdl
autoreconf
cd ..
# now build the 32-bit version
export CC="xlc"
export CXX="xlC"
export LDFLAGS="-Wl,-brtl"
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-dynamic-loading \
    --enable-shared --enable-static
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd 64bit
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install
cd ..
export OBJECT_MODE=32
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin lib lib64 include
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING.LIB ChangeLog KNOWN-BUGS README NEWS THANKS TODO
%{_libdir}/%{name}.so*
%{_libdir}/%{name}/*.so
%{_libdir64}/%{name}.so*
%{_libdir64}/%{name}/*.so
%dir %{_libdir}/%{name}
%dir %{_libdir64}/%{name}
/usr/lib/%{name}.so*
/usr/lib/%{name}/*.so
/usr/lib64/%{name}.so*
/usr/lib64/%{name}/*.so
%dir /usr/lib/%{name}
%dir /usr/lib64/%{name}


%files devel
%defattr(-,root,system,-)
%doc doc/README.key doc/README.xtea doc/example.c
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir64}/*.a
%{_libdir64}/*.la
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la
%{_libdir64}/%{name}/*.a
%{_libdir64}/%{name}/*.la
%dir %{_libdir}/%{name}
%dir %{_libdir64}/%{name}
%{_mandir}/man3/*
%{_datadir}/aclocal/*
/usr/bin/*
/usr/include/*
/usr/lib/*.a
/usr/lib/*.la
/usr/lib64/*.a
/usr/lib64/*.la
/usr/lib/%{name}/*.a
/usr/lib/%{name}/*.la
/usr/lib64/%{name}/*.a
/usr/lib64/%{name}/*.la
%dir /usr/lib/%{name}
%dir /usr/lib64/%{name}


%changelog
* Fri Jun 06 2008 Michael Perzl <michael@perzl.org> - 2.5.8-1
- first version for AIX V5.1 and higher
